The OpenNET Project / Index page

[ новости /+++ | форум | wiki | теги | ]



"Доступны язык Dart 2.15 и фреймворк Flutter 2.8"
Вариант для распечатки  
Пред. тема | След. тема 
Форум Разговоры, обсуждение новостей
Изначальное сообщение [ Отслеживать ]

"Доступны язык Dart 2.15 и фреймворк Flutter 2.8"  +/
Сообщение от opennews (??), 13-Дек-21, 13:04 
Компания Google опубликовала релиз языка программирования Dart 2.15, продолживший развитие кардинально переработанной ветки Dart 2, которая  отличается от изначального варианта языка Dart применением сильной статической типизации (типы могут выводиться автоматически, поэтому указание типов не является обязательным, но динамическая типизация больше не используется и вычисленный изначально тип закрепляется за переменной и в дальнейшем применяется строгая проверка типа)...

Подробнее: https://www.opennet.ru/opennews/art.shtml?num=56336

Ответить | Правка | Cообщить модератору

Оглавление

Сообщения [Сортировка по времени | RSS]


1. Скрыто модератором  –6 +/
Сообщение от Аноним (1), 13-Дек-21, 13:04 
Ответить | Правка | Наверх | Cообщить модератору

2. "Доступны язык программирования Dart 2.15 и фреймворк Flutter..."  +/
Сообщение от Аноним (2), 13-Дек-21, 13:24 
> Привычный и простой для изучения синтаксис, естественный для программистов на JavaScript, Си и Java.

Во, вот это я понимаю. Безо всяких там программирований пробельчиками и прочих ересей. Ну вы поняли о чем я. Щас триггернутся и прискачут Доказывать Правду.

Ответить | Правка | Наверх | Cообщить модератору

3. "Доступны язык программирования Dart 2.15 и фреймворк Flutter..."  +11 +/
Сообщение от Аноним (3), 13-Дек-21, 13:28 
Мы за басик, где все нужно писать словами и никаких тебе !"№#!";!%!";"!*. Ну максимум за паскаль.
Ответить | Правка | Наверх | Cообщить модератору

7. "Доступны язык программирования Dart 2.15 и фреймворк Flutter..."  +5 +/
Сообщение от n00by (ok), 13-Дек-21, 13:45 
10 ? "Hello, world"
Ответить | Правка | Наверх | Cообщить модератору

15. "Доступны язык программирования Dart 2.15 и фреймворк Flutter..."  +1 +/
Сообщение от Анонимemail (15), 13-Дек-21, 14:34 
> Ну максимум за паскаль.

и минимум за фортран

Ответить | Правка | К родителю #3 | Наверх | Cообщить модератору

51. "Доступны язык программирования Dart 2.15 и фреймворк Flutter..."  –1 +/
Сообщение от Аноним (51), 13-Дек-21, 20:07 
В среднем по больнице - за Кобол
Ответить | Правка | Наверх | Cообщить модератору

4. "Доступны язык программирования Dart 2.15 и фреймворк Flutter..."  +4 +/
Сообщение от Аноним (4), 13-Дек-21, 13:40 
Не жили хорошо, не стоит и начинать.
Ответить | Правка | К родителю #2 | Наверх | Cообщить модератору

41. "Доступны язык программирования Dart 2.15 и фреймворк Flutter..."  –2 +/
Сообщение от Аноним (41), 13-Дек-21, 17:28 
Чем тебе Whitespace не угодил?
Ответить | Правка | К родителю #2 | Наверх | Cообщить модератору

5. "Доступны язык программирования Dart 2.15 и фреймворк Flutter..."  –2 +/
Сообщение от Урри (ok), 13-Дек-21, 13:43 
Классический аджайл: с криком УРА побежали делать новый супер-дупер убийцу всех известных языков.

Потом оказалось, что надо было подумать изначально. Что наскок в таких вещах не работает. Что технический долг не иллюзорное понятие и надо было читать классиков.

К чести разработчиков они не стали упорствовать, выбросили все свои потраченные в никуда человекогода на на помойку и с позиций накопленного опыта взялись писать все с нуля.

Ответить | Правка | Наверх | Cообщить модератору

8. "Доступны язык программирования Dart 2.15 и фреймворк Flutter..."  +1 +/
Сообщение от Аноним (8), 13-Дек-21, 13:49 
Дело не в этом.
Google сама похоронила проект. Забила и 10 лет не развивала.

JavaScript шагнула вперёд.
Сейчас и цели и задачи у проекта другие. Это vendor-lock как у Apple.

Ответить | Правка | Наверх | Cообщить модератору

12. "Доступны язык программирования Dart 2.15 и фреймворк Flutter..."  +2 +/
Сообщение от Аноним (12), 13-Дек-21, 14:16 
>Это vendor-lock как у Apple.

В чем это выражается? Flutter вроде можно использовать и для iOS.

Ответить | Правка | Наверх | Cообщить модератору

22. "Доступны язык программирования Dart 2.15 и фреймворк Flutter..."  +1 +/
Сообщение от Аноним (8), 13-Дек-21, 15:01 
В том что вся разработка (компетенции / экспертиза) и по Dart, и по Flutter, и по инструментам разработки находится в одних руках. И Google будет навязывать свою волю (как Oracle с Java).

И Fuchsia поэтому на этом и написана. Android слишком open-source, можно выпиливать Google сервисы, делать свои клоны как Huawei и т.п.

А когда контролируется весь стек...

Я не вижу ни одной причины почему нужен Dart и Flutter, как не за этим. Есть куча языков. Есть Kotlin (и даже Kotlin Native), есть JavaScript, есть Typescript, есть Rust, есть Swift. Почему не взять их? Долгосрочная скрытая стратегия.

Они хотят именно своё и полностью контролировать.

Ответить | Правка | Наверх | Cообщить модератору

30. "Доступны язык программирования Dart 2.15 и фреймворк Flutter..."  +/
Сообщение от Аноним (30), 13-Дек-21, 15:36 
Это, ... да! А почему не на Rust?
Ответить | Правка | Наверх | Cообщить модератору

36. "Доступны язык программирования Dart 2.15 и фреймворк Flutter..."  +2 +/
Сообщение от Аноним (36), 13-Дек-21, 16:51 
Потому что на rust не пишут новые проекты, на нём можно только переписывать существующие и обязательно постить об новости на opennet.
Возможно новости создаются сами на этапе сборки.

(по крайней мере такое ощущение создалось у меня)

Ответить | Правка | Наверх | Cообщить модератору

39. "Доступны язык программирования Dart 2.15 и фреймворк Flutter..."  +1 +/
Сообщение от danonimous (?), 13-Дек-21, 17:20 
Глянул в Wikipedia

Kotlin: Появился в     22.07.2011
Dart:   Появился в     10.10.2011

Стартанули одновременно. Kotlin - vendor lock от JetBrains.

А так да, цели dart были сомнительные - заменить JavaScript в браузерах. Но то, что сейчас у них получилось - мне нравится больше Котлина. Синтаксис максимально легко читаемый.

Ответить | Правка | К родителю #22 | Наверх | Cообщить модератору

69. "Доступны язык программирования Dart 2.15 и фреймворк Flutter..."  +/
Сообщение от GraiT (?), 14-Дек-21, 09:56 
Касательно синтаксиса. По текущей новости уже не так, кое-как свыкаешься с с++, а тут начали отсебятину. Проще тогда на с++ и оставаться, а dart чисто для интерфейса, тем более что без полноценных тредов в нормальном бэке делать вообще нечего. А все эти поделки на руби, питоне и прочем, просто вызывают ужас, вроде должно сокращать количество кода, но смотришь на исходники и появляется обратный резонанс...
Ответить | Правка | Наверх | Cообщить модератору

54. "Доступны язык программирования Dart 2.15 и фреймворк Flutter..."  +/
Сообщение от proninyaroslavemail (ok), 13-Дек-21, 21:57 
> В том что вся разработка (компетенции / экспертиза) и по Dart, и по Flutter, и по инструментам разработки находится в одних руках

А разработка Qt вся в руках Qt Company, и что это меняет? Никто не пользуется им?

> Есть Kotlin (и даже Kotlin Native)

Который тоже в руках одной компании под названием JetBrains, в том числе KMM и Compose Multiplatform.

Ответить | Правка | К родителю #22 | Наверх | Cообщить модератору

56. "Доступны язык программирования Dart 2.15 и фреймворк Flutter..."  +/
Сообщение от Аноним (8), 13-Дек-21, 23:18 
Целеполагание разное. Совсем разные причины для чего создавался Kotlin или QT vs Dart.
Ответить | Правка | Наверх | Cообщить модератору

59. "Доступны язык программирования Dart 2.15 и фреймворк Flutter..."  +2 +/
Сообщение от x3who (?), 14-Дек-21, 02:01 
> А разработка Qt вся в руках Qt Company, и что это меняет? Никто не пользуется им?

Ну кто-то пользуется, возможно. Но лично мне встречались только опенсорсные проекты. Чтобы бусинес залип на это недешевое поделие - ни разу не видел.

Ответить | Правка | К родителю #54 | Наверх | Cообщить модератору

71. "Доступны язык программирования Dart 2.15 и фреймворк Flutter..."  +/
Сообщение от Аноним (71), 14-Дек-21, 18:00 
Да полно, палются по Qt dll в папке с прогой. Ну просто для примера приведу DaVinci Resolve.
Ответить | Правка | Наверх | Cообщить модератору

72. "Доступны язык программирования Dart 2.15 и фреймворк Flutter..."  +/
Сообщение от proninyaroslavemail (ok), 14-Дек-21, 19:32 
>> А разработка Qt вся в руках Qt Company, и что это меняет? Никто не пользуется им?
> Ну кто-то пользуется, возможно. Но лично мне встречались только опенсорсные проекты. Чтобы
> бусинес залип на это недешевое поделие - ни разу не видел.

Бусинес скорее будет использовать .NET, так как в целом не ориентированы на кроссплатформу и Qt им побоку.

Ответить | Правка | К родителю #59 | Наверх | Cообщить модератору

76. "Доступны язык программирования Dart 2.15 и фреймворк Flutter..."  +/
Сообщение от x3who (?), 16-Дек-21, 02:12 
> Бусинес скорее будет использовать .NET, так как в целом не ориентированы на
> кроссплатформу и Qt им побоку.

Я преимущественно вижу джаво во все поля и веб-интерфейсы. Было просто сан/оракл джаво типа условно халявное - юзали его. Оракл там повыпендривался - теперь всё идёт с расчетом на опенджаво, кто хочет, могут пользоваться оракловым рантаймом. Залезать в зависимость от одинокого вендыря - никому не охота в наше смутное время.

Ответить | Правка | Наверх | Cообщить модератору

70. "Доступны язык программирования Dart 2.15 и фреймворк Flutter..."  +/
Сообщение от Аноним (71), 14-Дек-21, 17:58 
Фигасе вся в руках Qt Company, а гигантское сообщество KDE по-вашему вообще вклада не вносит?
Ответить | Правка | К родителю #54 | Наверх | Cообщить модератору

17. "Доступны язык программирования Dart 2.15 и фреймворк Flutter..."  –1 +/
Сообщение от Урри (ok), 13-Дек-21, 14:56 
> Google сама похоронила проект. Забила и 10 лет не развивала.

Да? Уж извините, но попрошу пруфов.

> Сейчас и цели и задачи у проекта другие. Это vendor-lock как у Apple.

Хм. А я только задумался на что бы переключиться с целью диверсификации текущих предпочтений в языках, и дарт мне показался довольно хорошим кандидатом.

Ответить | Правка | К родителю #8 | Наверх | Cообщить модератору

28. "Доступны язык программирования Dart 2.15 и фреймворк Flutter..."  +12 +/
Сообщение от Аноним (8), 13-Дек-21, 15:21 
На вики неплохо написано.

Dart was unveiled at the GOTO conference in Aarhus, Denmark, October 10–12, 2012.

Dart 1.0 was released on November 14, 2013.

Как замена JavaScript. Хотели впихнуть (и вроде впихнули) Dart VM в Chrome. И кроме Chrome его нигде не было. Я думаю понятно зачем это было сделано (как и сейчас). Но не пошло (разрабочики не захотели этот vendor-lock). Потом переключились на компилирование в JavaScript.

In August 2018, Dart 2.0 was released, with language changes including a sound type system.

Вот все эти 5 лет (а казалось что больше) этот Dart был в стагнации и практически не развивался. Он был похоронен. Но потом мобилки выстрелили и Dart восстал из пепла.

При том что Kotlin уже был.

Kotlin v1.0 was released on February 15, 2016.

Тем более почитайте скандал про секретный проект Google про созданию vendor-lock на Chrome (в Twitter есть разбор судебного разбирательства и документов). Логин в Chrome (и автоматическое разлогинивание и выкидывание из сервисов Google) - это всё оттуда, а не потому что "удобно".

Google это одна из худших и мразотнейших корпораций сейчас, и уже давно.

Поэтому пока вы думаете что Dart это просто круто и удобно и не более, на самом деле там какой-то ещё один секретный проект по созданию vendor-lock на Fuchsia в будущем. И Dart и Flutter в нём - ключевые компоненты.


https://en.m.wikipedia.org/wiki/Dart_(programming_language)#....

Ответить | Правка | Наверх | Cообщить модератору

33. "Доступны язык программирования Dart 2.15 и фреймворк Flutter..."  +2 +/
Сообщение от Аноним12345 (?), 13-Дек-21, 15:49 
Первая мысль, которая появилась при чтении этой новости - о боже, это опять гугл
Сразу возникла ассоциация с жабой
Ответить | Правка | Наверх | Cообщить модератору

48. "Доступны язык программирования Dart 2.15 и фреймворк Flutter..."  +/
Сообщение от Урри (ok), 13-Дек-21, 19:44 
Ценно. Спасибо.
Ответить | Правка | К родителю #28 | Наверх | Cообщить модератору

25. "Доступны язык программирования Dart 2.15 и фреймворк Flutter..."  +/
Сообщение от Брат Анон (ok), 13-Дек-21, 15:14 
Flutter спокойно используется в golang. ЧЯДНТ?
Ответить | Правка | К родителю #8 | Наверх | Cообщить модератору

6. "Доступны язык программирования Dart 2.15 и фреймворк Flutter..."  –1 +/
Сообщение от Аноним (8), 13-Дек-21, 13:44 
Выглядит круто. Видно что очень много усилий вкладывается. Достойный конкурент React Native.

Кстати, мы у них спёрли движок отрисовки SKIA, и скоро в React Native можно рисовать любой сложности интерфейс и ещё больше, чем можно во Flutter.

Ответить | Правка | Наверх | Cообщить модератору

9. "Доступны язык программирования Dart 2.15 и фреймворк Flutter..."  +/
Сообщение от bugmenot (??), 13-Дек-21, 13:55 
> язык программирования Dart

Без Flutter ненужный. Интересно, это хорошо или плохо?

Ответить | Правка | Наверх | Cообщить модератору

11. "Доступны язык программирования Dart 2.15 и фреймворк Flutter..."  +/
Сообщение от Аноним (12), 13-Дек-21, 14:10 
Как все просрать, а потом догонять. Внезапно оказалось, что для достижения успеха язык программирования должен быть грамотно спроектирован, одноих маркетинговых усилий недостаточно. Хороший урок для создателей других языков, питающих те же самые иллюзии.
Ответить | Правка | Наверх | Cообщить модератору

18. Скрыто модератором  –3 +/
Сообщение от Урри (ok), 13-Дек-21, 14:58 
Ответить | Правка | Наверх | Cообщить модератору

24. Скрыто модератором  –1 +/
Сообщение от Аноним (12), 13-Дек-21, 15:09 
Ответить | Правка | Наверх | Cообщить модератору

31. Скрыто модератором  +/
Сообщение от Аноним (30), 13-Дек-21, 15:39 
Ответить | Правка | К родителю #18 | Наверх | Cообщить модератору

20. "Доступны язык программирования Dart 2.15 и фреймворк Flutter..."  +/
Сообщение от Аноним (20), 13-Дек-21, 15:00 
Чем это лучше Typescript?
Ответить | Правка | Наверх | Cообщить модератору

23. "Доступны язык программирования Dart 2.15 и фреймворк Flutter..."  +2 +/
Сообщение от Аноним (23), 13-Дек-21, 15:03 
Правильнее будет спросить чем flutter лучше angular
Ответить | Правка | Наверх | Cообщить модератору

26. "Доступны язык программирования Dart 2.15 и фреймворк Flutter..."  +/
Сообщение от user90 (?), 13-Дек-21, 15:15 
Кодите за еду?)
Ответить | Правка | Наверх | Cообщить модератору

40. "Доступны язык программирования Dart 2.15 и фреймворк Flutter..."  +/
Сообщение от Аноним (23), 13-Дек-21, 17:26 
Нет, а ты?
Ответить | Правка | Наверх | Cообщить модератору

53. "Доступны язык программирования Dart 2.15 и фреймворк Flutter..."  +/
Сообщение от deeaitch (ok), 13-Дек-21, 21:27 
Ахаха, походу ты угадал чел. Они кодят за еду.
Ответить | Правка | К родителю #26 | Наверх | Cообщить модератору

78. "Доступны язык программирования Dart 2.15 и фреймворк Flutter..."  +/
Сообщение от Skif (ok), 21-Дек-21, 14:49 
Все кодят за еду. Просто так никто не хочет кодить.
Ответить | Правка | К родителю #26 | Наверх | Cообщить модератору

27. "Доступны язык программирования Dart 2.15 и фреймворк Flutter..."  +/
Сообщение от Брат Анон (ok), 13-Дек-21, 15:17 
Давно в TypeScript есть собственный графический движок, мультипроцессорность, возможность компиляции в машинный код?
Ответить | Правка | К родителю #20 | Наверх | Cообщить модератору

29. "Доступны язык программирования Dart 2.15 и фреймворк Flutter..."  –2 +/
Сообщение от Аноним (8), 13-Дек-21, 15:31 
В React Native это есть. Там можно использовать Typescript по полной.

Потом TS компилируется в JS, а JS в байт-код. И только байт-код выполняется на мобилке или десктоп.

У Flutter (Dart это вообще просто язык) нет "своего" графического движка. Там используется Skia внутри. Которая и в Android используется, и в Chrome для отрисовки.

Уже добавили Skia в React Native (будет гораздо больше глубокая интеграция, те Skia можно будет юзать по полной как API, включая язык шейдеров), в отличии от Flutter где это просто внутренняя имплементация (как и в Android).

Есть графический движок https://github.com/BabylonJS/BabylonReactNative.

Много чего есть.

Ответить | Правка | Наверх | Cообщить модератору

65. "Доступны язык программирования Dart 2.15 и фреймворк Flutter..."  +2 +/
Сообщение от Брат Анон (ok), 14-Дек-21, 08:59 
> В React Native это есть. Там можно использовать Typescript по полной.

Понятно. Веб-рендер. -1

> Потом TS компилируется в JS, а JS в байт-код. И только байт-код
> выполняется на мобилке или десктоп.

Понятно. Компилятора нет. -1.

> У Flutter (Dart это вообще просто язык) нет "своего" графического движка. Там
> используется Skia внутри. Которая и в Android используется, и в Chrome
> для отрисовки.

Угу. Нативная либа. +1

> Уже добавили Skia в React Native (будет гораздо больше глубокая интеграция, те
> Skia можно будет юзать по полной как API, включая язык шейдеров),
> в отличии от Flutter где это просто внутренняя имплементация (как и
> в Android).

Будет, обещаем, планируем, сделаем. потом три раза переделаем. Знаем ,плавали. -1 за пока нет, и -1 за завтрак.

> Есть графический движок https://github.com/BabylonJS/BabylonReactNative.

Это всё веб-рендер, а значит тормоз с кучей глюков. -1.

> Много чего есть.

Пока гулькин нос есть.

Ответить | Правка | Наверх | Cообщить модератору

68. "Доступны язык программирования Dart 2.15 и фреймворк Flutter..."  –1 +/
Сообщение от Аноним (8), 14-Дек-21, 09:26 
Ты бы хоть разобрался в том, о чем пишешь. Хотя бы чуть-чуть.

В React Native нет ни Web Render, ни Web технологий, ни HTML, ни CSS.

Там нативные, 100% нативные компоненты (View) платформы, на которой он запускается. В отличие от Flutter, где это просто эмуляция (как WebView, только через Skia).

Компилятор есть. Он компилирует JavaScript в байт-код. Как C# или Java.

Babylon JS Native это всё абсолютный натив.

Про Skia уже всё готово, занимаются последними приготовлениями типа написания документации и примеров.

Ответить | Правка | Наверх | Cообщить модератору

77. "Доступны язык программирования Dart 2.15 и фреймворк Flutter..."  +1 +/
Сообщение от Брат Анон (ok), 16-Дек-21, 09:59 
Короткий ответ: нет. Иди учи матчасть.

Ответить | Правка | Наверх | Cообщить модератору

35. "Доступны язык программирования Dart 2.15 и фреймворк Flutter..."  +2 +/
Сообщение от Аноним (35), 13-Дек-21, 16:33 
гуглярщики какой-то язык придумали. чисто для своего Flutter. не надо. сделайте как люди. сделайте Flutter с нормальным известным языком. хоть с паскалем. хоть с питоном. но НОРМАЛЬНЫМ известным, блт!!!
Ответить | Правка | Наверх | Cообщить модератору

37. "Доступны язык программирования Dart 2.15 и фреймворк Flutter..."  +4 +/
Сообщение от Аноним (37), 13-Дек-21, 17:12 
Кстати да. Языков напридумано невозможное количество, и вот те нате, ещё один.
Ответить | Правка | Наверх | Cообщить модератору

43. "Доступны язык программирования Dart 2.15 и фреймворк Flutter..."  +/
Сообщение от Аноним (43), 13-Дек-21, 17:56 
>> сделайте как люди

Это как? Хорошо продумано и без вендорлока?

А гугл за прибыль гугла

Ответить | Правка | К родителю #35 | Наверх | Cообщить модератору

50. "Доступны язык программирования Dart 2.15 и фреймворк Flutter..."  +/
Сообщение от Урри (ok), 13-Дек-21, 19:48 
Дык запилили же "интерфейс Dart Foreign Function". Используй из чего хочешь.
Ответить | Правка | К родителю #35 | Наверх | Cообщить модератору

38. "Доступны язык программирования Dart 2.15 и фреймворк Flutter..."  +/
Сообщение от Kuromi (ok), 13-Дек-21, 17:13 
"Реализована техника сжатия указателей, позволяющая использовать более компактное представление указателей в 64-разрядных окружениях, если для адресации достаточно 32-разрядного адресного пространства (используется не более 4 ГБ памяти). Тесты показали, что подобная оптимизация даёт возможность сократить размер кучи приблизительно на 10%. Во Flutter SDK по умолчанию новый режим уже активирован для Android, а в будущем выпуске запланирован для включения для iOS."

Ого, а помнится для такого в Линуксе целую архитектуру пытались сделать, х32 кажется, чтобы 64-ех битный режим процессора и 32-ух битные указатели.

Ответить | Правка | Наверх | Cообщить модератору

44. "Доступны язык программирования Dart 2.15 и фреймворк Flutter..."  +/
Сообщение от Аноним (43), 13-Дек-21, 17:58 
От туда и взята идея
Ответить | Правка | Наверх | Cообщить модератору

46. "Доступны язык программирования Dart 2.15 и фреймворк Flutter..."  +3 +/
Сообщение от Аноним (46), 13-Дек-21, 18:31 
>Ого, а помнится для такого в Линуксе целую архитектуру пытались сделать, х32 кажется, чтобы 64-ех битный режим процессора и 32-ух битные указатели.

Не пытались, а именно сделали и она была в ядре 9 лет. Сейчас поддержка этой архитектуры отдана пространству пользователя, для чего у mmap появился флаг MAP_32BIT. Но как мы видим даже Debian уже не собирает x32.

Ответить | Правка | К родителю #38 | Наверх | Cообщить модератору

47. "Доступны язык программирования Dart 2.15 и фреймворк Flutter..."  +/
Сообщение от Kuromi (ok), 13-Дек-21, 19:26 
>>Ого, а помнится для такого в Линуксе целую архитектуру пытались сделать, х32 кажется, чтобы 64-ех битный режим процессора и 32-ух битные указатели.
> Не пытались, а именно сделали и она была в ядре 9 лет.
> Сейчас поддержка этой архитектуры отдана пространству пользователя, для чего у mmap
> появился флаг MAP_32BIT. Но как мы видим даже Debian уже не
> собирает x32.

Сделать-то сделли, но довольно быстро свернули. Как видится решили что возня того не стоит.

Ответить | Правка | Наверх | Cообщить модератору

45. "Доступны язык программирования Dart 2.15 и фреймворк Flutter..."  +/
Сообщение от ms is peace of s (?), 13-Дек-21, 18:05 
Может стать отчасти заменой java, если и в дальнейшем будут развивать как язык общего назначения и получится раза в 2 и более быть компактней по ОЗУ. Тогда есть шанс, что взлетит. Я бы возможно перешел на таких условиях, хотя и сейчас OpenJ9 выручает. Ну и плюс нужно что-то не хуже мавена для разрешения зависимостей и сборки.
Ответить | Правка | Наверх | Cообщить модератору

57. "Доступны язык программирования Dart 2.15 и фреймворк Flutter..."  +/
Сообщение от Аноним (57), 14-Дек-21, 00:18 
kotlin станет заменой java. Гугл уже его юзает.

Dart - это внебрачный сын какой-то. Вроде синтаксис знакомый, но на самом деле нет. Чего только стоит отказ от модификаторов доступа https://github.com/dart-lang/sdk/issues/33383

Ответить | Правка | Наверх | Cообщить модератору

55. "Доступны язык программирования Dart 2.15 и фреймворк Flutter..."  +1 +/
Сообщение от Аноним (55), 13-Дек-21, 22:30 
Бессмымленный и беспощадный)
Ответить | Правка | Наверх | Cообщить модератору

58. "Доступны язык программирования Dart 2.15 и фреймворк Flutter..."  +/
Сообщение от Аноним (-), 14-Дек-21, 00:27 
Мертворожденное. Если в золотые времена никому не уперлось, то сегодня  и от гугола подавно.
Ответить | Правка | Наверх | Cообщить модератору

60. "Доступны язык программирования Dart 2.15 и фреймворк Flutter..."  +/
Сообщение от Уася (?), 14-Дек-21, 03:49 
Комментаторы квакают, а тем временем в русском телегочате уже 6.5к почитателей флуттера и Дарта, и 4к людей в чате с вакансиями
Ответить | Правка | Наверх | Cообщить модератору

61. "Доступны язык программирования Dart 2.15 и фреймворк Flutter..."  +3 +/
Сообщение от Аноним (12), 14-Дек-21, 04:55 
Это хорошо, что там много людей, а вакансий, вакансий-то там сколько?
Ответить | Правка | Наверх | Cообщить модератору

62. "Доступны язык программирования Dart 2.15 и фреймворк Flutter..."  +/
Сообщение от Флаттбой (?), 14-Дек-21, 07:31 
10 на весь мир
Ответить | Правка | Наверх | Cообщить модератору

63. "Доступны язык программирования Dart 2.15 и фреймворк Flutter..."  +/
Сообщение от Аноним (63), 14-Дек-21, 07:34 
Флаттбои используют Matrix с соответствующим Флатт клиентом.
Телеграм для смузихлебов и мамкиных скакунов на площадях.
Ответить | Правка | К родителю #60 | Наверх | Cообщить модератору

66. "Доступны язык программирования Dart 2.15 и фреймворк Flutter..."  +/
Сообщение от Аноним (57), 14-Дек-21, 09:19 
> и 4к людей в чате с вакансиями

Это совсем не означает, что там 4к годных разработчиков.

Ответить | Правка | К родителю #60 | Наверх | Cообщить модератору

74. "Доступны язык программирования Dart 2.15 и фреймворк Flutter..."  +1 +/
Сообщение от Аноним (-), 14-Дек-21, 21:54 
> 6.5к почитателей флуттера и Дарта,

где тут хоть слово про разработчиков ?

Ответить | Правка | Наверх | Cообщить модератору

73. "Доступны язык программирования Dart 2.15 и фреймворк Flutter..."  +/
Сообщение от GrayRats (ok), 14-Дек-21, 19:41 
да там не только это , еще Sвей для этих - ваших - айфонов

Ответить | Правка | Наверх | Cообщить модератору

Архив | Удалить

Рекомендовать для помещения в FAQ | Индекс форумов | Темы | Пред. тема | След. тема




Спонсоры:
PostgresPro
Inferno Solutions
Hosting by Hoster.ru
Хостинг:

Закладки на сайте
Проследить за страницей
Created 1996-2022 by Maxim Chirkov
Добавить, Поддержать, Вебмастеру